Debian Bug report logs - #607924
O: powernowd -- control cpu speed and voltage using 2.6 kernel interface

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Marco Bertorello <marco@bertorello.ns0.it>

Date: Fri, 24 Dec 2010 13:48:01 UTC

Severity: normal

Fixed in version 1.00-2+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607924; Package wnpp. (Fri, 24 Dec 2010 13:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Bertorello <marco@bertorello.ns0.it>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Fri, 24 Dec 2010 13:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Bertorello <marco@bertorello.ns0.it>
To: submit@bugs.debian.org
Subject: O: powernowd
Date: Fri, 24 Dec 2010 14:44:35 +0100
Package: wnpp
Severity: normal




Changed Bug title to 'O: powernowd -- control cpu speed and voltage using 2.6 kernel interface' from 'O: powernowd' Request was from Aníbal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 28 Dec 2010 21:06:33 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607924; Package wnpp. (Fri, 18 Feb 2011 06:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 18 Feb 2011 06:09:07 GMT) Full text and rfc822 format available.

Message #12 received at 607924@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Phillip Susi <psusi@cfl.rr.com>
Cc: 602052@bugs.debian.org, 607924@bugs.debian.org
Subject: Re: Power management
Date: Fri, 18 Feb 2011 03:58:16 -0200
On Dec 16 2010, Phillip Susi wrote:
> Powernowd used to accomplish the same thing as ACPI P-states by
> directly manipulating the amd k8 cpu registers.

No, it doesn't. It is just a userspace governor and, despite the name,
it is not tied to AMD cpus.

> The kernel now has drivers to perform frequency control using either
> ACPI, or the amd or intel cpu specific registers.

Unless you happen to have a CPU (Intel, BTW) that can only have its
frequency scaled using something other than ondemand/conservative in
their stock form and you have to use the P4 clock modulation.

I have some patches to the ondemand cpufreq regulator, but it will need
a lot of fine tuning to make ondemand work (if at all). OTOH, using
powernowd usually works OK for my computer.

And I am not even talking about some other architectures (e.g., PowerPC)
where there is some support for frequency scaling, but where there is no
ACPI.

See http://bugs.debian.org/609638 for instance.

I think that I may not (yet) be willing to adopt it, but I am sure
willing to co-maintain it or make the occasional QA upload from time to
time, so that I can keep things in shape and close some of the most
pressing bugs.


Regards,

-- 
Rogério Brito : rbrito@{mackenzie,ime.usp}.br : GPG key 1024D/7C2CAEB8
http://www.ime.usp.br/~rbrito : http://meusite.mackenzie.com.br/rbrito
Projects: algorithms.berlios.de : lame.sf.net : vrms.alioth.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607924; Package wnpp. (Sun, 20 Feb 2011 01:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phillip Susi <psusi@cfl.rr.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 20 Feb 2011 01:24:05 GMT) Full text and rfc822 format available.

Message #17 received at 607924@bugs.debian.org (full text, mbox):

From: Phillip Susi <psusi@cfl.rr.com>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: 602052@bugs.debian.org, 607924@bugs.debian.org
Subject: Re: Power management
Date: Sat, 19 Feb 2011 20:20:29 -0500
On 02/18/2011 12:58 AM, Rogério Brito wrote:
> On Dec 16 2010, Phillip Susi wrote:
>> Powernowd used to accomplish the same thing as ACPI P-states by
>> directly manipulating the amd k8 cpu registers.
>
> No, it doesn't. It is just a userspace governor and, despite the name,
> it is not tied to AMD cpus.

That is what it does NOW.  It USED TO directly manipulate the k8 cpu 
registers, which is where it got its name.

> Unless you happen to have a CPU (Intel, BTW) that can only have its
> frequency scaled using something other than ondemand/conservative in
> their stock form and you have to use the P4 clock modulation.

To my understanding, p4_clockmod is just another frequency scaling 
driver in the kernel for very old p4 cpus, and all of the governors work 
with it like any of the other scaling drivers.

> I have some patches to the ondemand cpufreq regulator, but it will need
> a lot of fine tuning to make ondemand work (if at all). OTOH, using
> powernowd usually works OK for my computer.

Can you be more specific?  Why doesn't ondemand work with p4_clockmod?

> And I am not even talking about some other architectures (e.g., PowerPC)
> where there is some support for frequency scaling, but where there is no
> ACPI.

Such architectures support frequency scaling via a frequency scaling 
driver.  As you said before, all that powernowd does is govern that 
driver.  The kernel's own governors should work better.

> I think that I may not (yet) be willing to adopt it, but I am sure
> willing to co-maintain it or make the occasional QA upload from time to
> time, so that I can keep things in shape and close some of the most
> pressing bugs.

If it doesn't work now, why not get the kernel governor working right 
instead?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607924; Package wnpp. (Sun, 20 Feb 2011 02:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 20 Feb 2011 02:21:04 GMT) Full text and rfc822 format available.

Message #22 received at 607924@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Phillip Susi <psusi@cfl.rr.com>
Cc: 602052@bugs.debian.org, 607924@bugs.debian.org
Subject: Re: Power management
Date: Sat, 19 Feb 2011 23:18:14 -0300
On Feb 19 2011, Phillip Susi wrote:
> On 02/18/2011 12:58 AM, Rogério Brito wrote:
> >I have some patches to the ondemand cpufreq regulator, but it will need a
> >lot of fine tuning to make ondemand work (if at all). OTOH, using
> >powernowd usually works OK for my computer.
> 
> Can you be more specific?  Why doesn't ondemand work with p4_clockmod?

,----[ dmesg | grep -i latency ]
| 
| [   31.736436] ondemand governor failed, too long transition latency of HW, fallback to performance governor
| [   31.739208] ondemand governor failed, too long transition latency of HW, fallback to performance governor
`----

> >I think that I may not (yet) be willing to adopt it, but I am sure
> >willing to co-maintain it or make the occasional QA upload from time to
> >time, so that I can keep things in shape and close some of the most
> >pressing bugs.
> 
> If it doesn't work now, why not get the kernel governor working
> right instead?

I agree. That's the ideal situation. But the problem is: getting it
implemented may take a while. A *long* while. (Hope not).

And even if p4-clockmod is fixed, there are other arches (read: PowerPC)
where the same with p4-clockmod is true.


Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607924; Package wnpp. (Sun, 20 Feb 2011 03:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phillip Susi <psusi@cfl.rr.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 20 Feb 2011 03:21:08 GMT) Full text and rfc822 format available.

Message #27 received at 607924@bugs.debian.org (full text, mbox):

From: Phillip Susi <psusi@cfl.rr.com>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: 602052@bugs.debian.org, 607924@bugs.debian.org
Subject: Re: Power management
Date: Sat, 19 Feb 2011 22:20:18 -0500
On 02/19/2011 09:18 PM, Rogério Brito wrote:
> And even if p4-clockmod is fixed, there are other arches (read: PowerPC)
> where the same with p4-clockmod is true.

I'm still wondering how p4-clockmod can be controlled with a userspace 
governor, but not any of the kernel ones.  Are you guessing about 
PowerPC or do you know of a specific problem with their scaling driver 
that prevents it from working with the kernel governors?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607924; Package wnpp. (Sun, 20 Feb 2011 07:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 20 Feb 2011 07:06:04 GMT) Full text and rfc822 format available.

Message #32 received at 607924@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Phillip Susi <psusi@cfl.rr.com>
Cc: 602052@bugs.debian.org, 607924@bugs.debian.org
Subject: Re: Power management
Date: Sun, 20 Feb 2011 04:02:21 -0300
On Feb 19 2011, Phillip Susi wrote:
> On 02/19/2011 09:18 PM, Rogério Brito wrote:
> >And even if p4-clockmod is fixed, there are other arches (read: PowerPC)
> >where the same with p4-clockmod is true.
> 
> I'm still wondering how p4-clockmod can be controlled with a
> userspace governor, but not any of the kernel ones.

Oh, dear:

,----[ powernowd -d -v -v -v -n -l 10 ]
| Using lower pct of 10%
| PowerNow Daemon v1.00, (c) 2003-2008 John Clemens
| Settings:
|   verbosity:        3
|   mode:             1     (AGGRESSIVE)
|   step:           100 MHz (100000 kHz)
|   lowwater:        10 %
|   highwater:       80 %
|   poll interval: 1000 ms
| about to return count = 1
| Found 2 scalable units:  -- 1 'CPU' per scalable unit
|   cpu0: 333Mhz - 2666Mhz (8 steps)
|      step1 : 2666Mhz
|      step2 : 2333Mhz
|      step3 : 1999Mhz
|      step4 : 1666Mhz
|      step5 : 1333Mhz
|      step6 : 999Mhz
|      step7 : 666Mhz
|      step8 : 333Mhz
|   cpu1: 333Mhz - 2666Mhz (8 steps)
|      step1 : 2666Mhz
|      step2 : 2333Mhz
|      step3 : 1999Mhz
|      step4 : 1666Mhz
|      step5 : 1333Mhz
|      step6 : 999Mhz
|      step7 : 666Mhz
|      step8 : 333Mhz
| Setting speed to 2333275
| Setting speed to 1999950
| Setting speed to 1666625
| Setting speed to 1333300
| Setting speed to 999975
| Setting speed to 2333275
| Setting speed to 1999950
| Setting speed to 1666625
| Setting speed to 666650
| Setting speed to 333325
| Setting speed to 1333300
| Setting speed to 999975
| Setting speed to 666650
| Setting speed to 333325
| Setting speed to 2666600
| Setting speed to 2333275
| Setting speed to 1999950
| Setting speed to 1666625
| Setting speed to 1333300
| Setting speed to 999975
| Setting speed to 666650
| Setting speed to 333325
| Setting speed to 2666600
| Setting speed to 2333275
| Setting speed to 1999950
| Setting speed to 1666625
| Setting speed to 1333300
| Setting speed to 999975
| Setting speed to 666650
| Setting speed to 333325
| ^CSetting speed to 2666600
| Setting speed to 2666600
| Statistics:
|   32 speed changes in 105 seconds
| PowerNow Daemon Exiting.
`----

> Are you guessing about PowerPC or do you know of a specific problem with
> their scaling driver that prevents it from working with the kernel
> governors?

No, I am *not* guessing. I *have* PowerPC boxes. They suffer the same "too
high latency" stuff from ondemand/conservative governors.


Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#607924; Package wnpp. (Sun, 20 Feb 2011 16:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phillip Susi <psusi@cfl.rr.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 20 Feb 2011 16:06:07 GMT) Full text and rfc822 format available.

Message #37 received at 607924@bugs.debian.org (full text, mbox):

From: Phillip Susi <psusi@cfl.rr.com>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: 602052@bugs.debian.org, 607924@bugs.debian.org
Subject: Re: Power management
Date: Sun, 20 Feb 2011 11:04:24 -0500
On 02/20/2011 02:02 AM, Rogério Brito wrote:
> Oh, dear:
>
> ,----[ powernowd -d -v -v -v -n -l 10 ]

I'm not sure why you posted this.  I asked why a user space govornor 
works, but a kernel space one does not.  You seem to have taken that as 
"how do you know the user space one works"?

> No, I am *not* guessing. I *have* PowerPC boxes. They suffer the same "too
> high latency" stuff from ondemand/conservative governors.

Too high latency?  It is starting to sound like these modules have too 
high of a latency to handle the high update frequency the kernel 
governors want to use ( many times each second, vs once a second for 
powernowd ).  Can you not just lower the update frequency the governor uses?




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 21 Nov 2012 16:25:03 GMT) Full text and rfc822 format available.

Notification sent to Marco Bertorello <marco@bertorello.ns0.it>:
Bug acknowledged by developer. (Wed, 21 Nov 2012 16:25:03 GMT) Full text and rfc822 format available.

Message #42 received at 607924-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 265700-done@bugs.debian.org,270425-done@bugs.debian.org,277605-done@bugs.debian.org,310426-done@bugs.debian.org,319962-done@bugs.debian.org,320841-done@bugs.debian.org,328525-done@bugs.debian.org,330404-done@bugs.debian.org,330405-done@bugs.debian.org,330411-done@bugs.debian.org,350823-done@bugs.debian.org,360546-done@bugs.debian.org,367307-done@bugs.debian.org,367619-done@bugs.debian.org,384032-done@bugs.debian.org,418216-done@bugs.debian.org,423696-done@bugs.debian.org,487181-done@bugs.debian.org,504521-done@bugs.debian.org,535757-done@bugs.debian.org,542117-done@bugs.debian.org,547161-done@bugs.debian.org,653124-done@bugs.debian.org,607924-done@bugs.debian.org,
Cc: powernowd@packages.debian.org, powernowd@packages.qa.debian.org
Subject: Bug#602052: Removed package(s) from unstable
Date: Wed, 21 Nov 2012 16:23:13 +0000
Version: 1.00-2+rm

Dear submitter,

as the package powernowd has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/602052

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 Dec 2012 07:26:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 15:58:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.